fulfilmentorders
Searches fulfilment orders by parameters
Searches fulfilment orders by parameters
Query Parameters
Order item id.
Order id.
Fulfilment id
Fulfilment service id.
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns fulfilment orders
fulfilment.Order.PagingResponse
One OfOrder model.
Shippit order model.
Query Parameters
Headers
Get specific fulfilment order by fulfilment id
Get specific fulfilment order by fulfilment id
Path Parameters
Fulfilment id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Success
Order model.
One OfPath Parameters
Headers
inventory
Searches Inventories by parameters
Searches Inventories by parameters
Query Parameters
Sales Channel Id or Collection of Sales Channel Ids (comma separated)
Example: 14,3,312
Product SKU or Collection of Product SKUs (comma separated)
Example: sku1,sku2,sku3
Outlet Id or Collection of Outlet Ids (comma separated)
Example: 1,2,3
Product Id or Collection of Product Ids (comma separated)
Example: 1,2,3
Modified since search parameter
Order by.
Available field name values: modified_on, allocated, available, stock_on_hand, faulty, on_order, picked, received, requested,
transit_in, transit_out, last_sold_on, last_fulfiled_on, msl
Available direction values: asc, desc.
Example: modified_on asc, allocated desc, msl asc
Filter by.
Available field name values: modified_on, allocated, available, stock_on_hand, faulty, on_order, picked, received, requested,
transit_in, transit_out, last_sold_on, last_fulfiled_on, sales_channel_id, outlet_id, product_id, sku, msl
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: product_id:eq:2, last_sold_on:isnotnull, stock_on_hand:gte:0, msl:gte:100
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Inventories data
Inventory.PagingResponse
Inventory view model